#include<stdio.h>
#include<conio.h>
#include<dos.h>

void main(){
  clrscr();
    for (int j=0;j<=40;j++){
      textcolor(7);gotoxy(3+j,5);cprintf("Û");
    }
    textbackground(7);textcolor(15);gotoxy(3,5);cprintf("0%");
    for (j=0;j<=40;j++){
      textcolor(16);
      if (((j*2)+25)<=100){
	if (j>6){
	  gotoxy((j-1)/2,5);textcolor(4);
	  cprintf("Û");
	  gotoxy(j/2,5);
	}
	else
	  gotoxy(3,5);
	textcolor(15);textbackground(4);
	cprintf("%d%",(j*2)+25);
      }
      textcolor(4);
      if (j==18)
	textbackground(4);
      if (j<=40){
      gotoxy(3+j,5);cprintf("Û");
      }
      delay(50);

    }
    textcolor(7);textbackground(0);
    getch();
}